summaryrefslogtreecommitdiffstats
path: root/test/TEST-29-UDEV-ID_RENAMING/test.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-27 13:00:47 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-27 13:00:47 +0000
commit2cb7e0aaedad73b076ea18c6900b0e86c5760d79 (patch)
treeda68ca54bb79f4080079bf0828acda937593a4e1 /test/TEST-29-UDEV-ID_RENAMING/test.sh
parentInitial commit. (diff)
downloadsystemd-2cb7e0aaedad73b076ea18c6900b0e86c5760d79.tar.xz
systemd-2cb7e0aaedad73b076ea18c6900b0e86c5760d79.zip
Adding upstream version 247.3.upstream/247.3upstream
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'test/TEST-29-UDEV-ID_RENAMING/test.sh')
-rwxr-xr-xtest/TEST-29-UDEV-ID_RENAMING/test.sh24
1 files changed, 24 insertions, 0 deletions
diff --git a/test/TEST-29-UDEV-ID_RENAMING/test.sh b/test/TEST-29-UDEV-ID_RENAMING/test.sh
new file mode 100755
index 0000000..ddf6db9
--- /dev/null
+++ b/test/TEST-29-UDEV-ID_RENAMING/test.sh
@@ -0,0 +1,24 @@
+#!/usr/bin/env bash
+set -e
+TEST_DESCRIPTION="UDEV ID_RENAMING property"
+IMAGE_NAME="udev-id-renaming"
+TEST_NO_NSPAWN=1
+
+. $TEST_BASE_DIR/test-functions
+QEMU_TIMEOUT=300
+
+test_create_image() {
+ create_empty_image_rootdir
+
+ # Create what will eventually be our root filesystem onto an overlay
+ (
+ LOG_LEVEL=5
+ setup_basic_environment
+ mask_supporting_services
+
+ instmods dummy
+ generate_module_dependencies
+ )
+}
+
+do_test "$@" 29